# How to analyze page traffic via Data Explorer

In this “How to”, we will use Data Explorer UI to **export a spreadsheet** (CSV) **containing page traffic data**. This information is collected by AB Tasty, but not directly available in a raw format in the app. With Data Explorer, you can use these pageviews events to measure anything you want.\
To learn more about Data Explorer, refer to [this article](/reporting-and-performances/data-explorer.md).

## 1. Defining the expected end result <a href="#h_01jhqyw3d3a9r6cr1qzvrx9bdj" id="h_01jhqyw3d3a9r6cr1qzvrx9bdj"></a>

You should first define the end results you want to exploit in the CSV output. These columns will be filled with metrics. For this example, let’s say that you are interested in the following pageview metrics:

* The number of pageview
* The number of unique visitor for a specific page

## 2. Defining the breakdown of the previously defined metrics <a href="#h_01jhqywrxm11606pmtxpg47caz" id="h_01jhqywrxm11606pmtxpg47caz"></a>

Then, you must define the breakdown you want to apply. For this example, let’s say that you are interested in the following dimensions:

* The page url: it will allow us to get every metric defined previously for each page of your website.

You may also use “Page title”, “Page Path” or even some specific parts of page path like “Page Path Level 1” to get a different breakdown according to your specific needs.

## 3. Defining the campaigns and visitors concerned <a href="#h_01jhqyv1k0w4c9768nv9gr2h6z" id="h_01jhqyv1k0w4c9768nv9gr2h6z"></a>

By default, all campaigns and all visitors are included in your query. You can specify which campaign interests you and/or which population thanks to the filters. For our example:

* We will observe data for all users, there is no need to filter on a specific campaign neither on a specific kind of user, session or hit.

## 4. Running the query <a href="#h_01jhqyywqvrzggx8v8ntagg0a0" id="h_01jhqyywqvrzggx8v8ntagg0a0"></a>

You can now run the query. To make sure your query is correct, we recommend you to run the query on a short period (ex: yesterday) to run the test while consuming few data.

Once you’re ok with your query, select the full period you need. You can now download the CSV output and analyze it by yourself in a spreadsheet app or with custom scripts.

&#x20;

### Other articles on Data Explorer: <a href="#h_01jhqzdehxnnj8raebh9bk13ae" id="h_01jhqzdehxnnj8raebh9bk13ae"></a>

* [Data Explorer - List of Metrics and Dimensions](/reporting-and-performances/data-explorer/data-explorer---list-of-metrics-and-dimensions.md)
* [How to get a list of recent hits via Data Explorer](/reporting-and-performances/data-explorer/how-to-get-a-list-of-recent-hits-via-data-explorer.md)
* [How to get metrics breakdown by multiple dimensions via Data Explorer](/reporting-and-performances/data-explorer/how-to-get-metrics-breakdown-by-multiple-dimensions-via-data-explorer.md)
* [Data Explorer](/reporting-and-performances/data-explorer.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abtasty.com/reporting-and-performances/data-explorer/how-to-analyze-page-traffic-via-data-explorer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
